#1345 swig 2.0.11 break python -builtin

None
closed
None
5
2013-10-17
2013-10-17
client9
No

swig -python -builtin -Wextra libinjection/libinjection.i

cc -fno-strict-aliasing -fno-common -dynamic -I/usr/local/include -I/usr/local/opt/sqlite/include -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -I/usr/local/Cellar/python/2.7.5/Frameworks/Python.framework/Versions/2.7/include/python2.7 -c libinjection/libinjection_wrap.c -o build/temp.macosx-10.8-x86_64-2.7/libinjection/libinjection_wrap.o
libinjection/libinjection_wrap.c:4876:17: warning: implicit declaration of function 'offsetof' is invalid in C99
[-Wimplicit-function-declaration]
(Py_ssize_t)offsetof(SwigPyObject, dict), / tp_dictoffset /
^
libinjection/libinjection_wrap.c:4876:26: error: unexpected type name 'SwigPyObject': expected expression
(Py_ssize_t)offsetof(SwigPyObject, dict), / tp_dictoffset /
^
libinjection/libinjection_wrap.c:5112:26: error: unexpected type name 'SwigPyObject': expected expression
(Py_ssize_t)offsetof(SwigPyObject, dict), / tp_dictoffset /
^
1 warning and 2 errors generated.

Related

Bugs: #1345

Discussion

  • William Fulton

    William Fulton - 2013-10-17
    • status: open --> closed
    • assigned_to: William Fulton
    • Group: -->
     
  • client9

    client9 - 2013-10-17

    it's more than just offset.

    The entire definition for SwigPyObject is MIA in the generated code.

    error: unexpected type name 'SwigPyObject':

    On 2013/10/18, at 5:59, "William Fulton" wsfulton@users.sf.net wrote:

    status: open --> closed
    assigned_to: William Fulton
    Group: -->
    [bugs:#1345] swig 2.0.11 break python -builtin

    Status: closed
    Created: Thu Oct 17, 2013 04:58 PM UTC by client9
    Last Updated: Thu Oct 17, 2013 04:58 PM UTC
    Owner: William Fulton

    swig -python -builtin -Wextra libinjection/libinjection.i

    cc -fno-strict-aliasing -fno-common -dynamic -I/usr/local/include -I/usr/local/opt/sqlite/include -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -I/usr/local/Cellar/python/2.7.5/Frameworks/Python.framework/Versions/2.7/include/python2.7 -c libinjection/libinjection_wrap.c -o build/temp.macosx-10.8-x86_64-2.7/libinjection/libinjection_wrap.o
    libinjection/libinjection_wrap.c:4876:17: warning: implicit declaration of function 'offsetof' is invalid in C99
    [-Wimplicit-function-declaration]
    (Py_ssize_t)offsetof(SwigPyObject, dict), / tp_dictoffset /
    ^
    libinjection/libinjection_wrap.c:4876:26: error: unexpected type name 'SwigPyObject': expected expression
    (Py_ssize_t)offsetof(SwigPyObject, dict), / tp_dictoffset /
    ^
    libinjection/libinjection_wrap.c:5112:26: error: unexpected type name 'SwigPyObject': expected expression
    (Py_ssize_t)offsetof(SwigPyObject, dict), / tp_dictoffset /
    ^
    1 warning and 2 errors generated.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/swig/bugs/1345/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1345


Log in to post a comment.